> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reverieinc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Key Features

### `domain`

This field identifies your use case type and set of the terminology defined for transcription. e.g. for general audio is ‘generic’. Refer to [Supporting Domain](https://docs.reverieinc.com/usage-guides/speech-to-text/supported-domains.md) to see the available domains.

**For Example**:

```bash generic theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/upload' \
--header 'src_lang: hi' \
--header 'domain: generic' \
--header 'REV-API-KEY: <YOUR API KEY>' \
--header 'REV-APPNAME: stt_batch' \
--header 'REV-APP-ID: <YOUR API-ID>' \
--form 'file=@"<File Path>"'
```

```bash bfsi theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/upload' \
--header 'src_lang: hi' \
--header 'domain: bfsi' \
--header 'REV-API-KEY: <YOUR API KEY>' \
--header 'REV-APPNAME: stt_batch' \
--header 'REV-APP-ID: <YOUR API-ID>' \
--form 'file=@"<File Path>"'
```

### `format`

The audio sampling rate and the data format of the speech. Refer to [Supporting Audio Formats](https://docs.reverieinc.com/usage-guides/speech-to-text/supported-audio-formats.md) to know the supporting audio formats. By default, the `format` = 16k\_int16. (WAV, Signed 16 bit, 16,000 or 16K Hz).

**For Example**:

```bash format = 16k_int16 theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/upload' \
--header 'src_lang: hi' \
--header 'domain: generic' \
--header 'REV-API-KEY: <YOUR API KEY>' \
--header 'REV-APPNAME: stt_batch' \
--header 'REV-APP-ID: <YOUR API-ID>' \
--header 'format: 16k_int16' \
--form 'file=@"<File Path>"'
```

```bash format = wav theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/upload' \
--header 'src_lang: hi' \
--header 'domain: bfsi' \
--header 'REV-API-KEY: <YOUR API KEY>' \
--header 'REV-APPNAME: stt_batch' \
--header 'REV-APP-ID: <YOUR API-ID>' \
--header 'format: wav' \
--form 'file=@"<File Path>"'
```

### `subtitles`

Enables subtitling from the audio file.

**For Example**:

```bash subtitles = true theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/upload' \
--header 'src_lang: hi' \
--header 'domain: generic' \
--header 'REV-API-KEY: <YOUR API KEY>' \
--header 'REV-APPNAME: stt_batch' \
--header 'REV-APP-ID: <YOUR API-ID>' \
--header 'subtitles: true' \
--form 'file=@"<File Path>"'
```

```bash subtitles = false theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/upload' \
--header 'src_lang: hi' \
--header 'domain: bfsi' \
--header 'REV-API-KEY: <YOUR API KEY>' \
--header 'REV-APPNAME: stt_batch' \
--header 'REV-APP-ID: <YOUR API-ID>' \
--header 'subtitles: false' \
--form 'file=@"<File Path>"'
```

**Response**:

```json subtitles = true theme={null}
{
    "job_id": "e21f356d-cbf9-4d62-a960-1e9da1805d19",
    "code": "000",
    "message": "Transcript ready.",
    "result": {
        "transcript": "Hello. Welcome to Reverie.",
        "original_transcript": "HELLO. WELCOME TO REVERIE.",
        "channel_number": 1,
        "subtitles": "1\n00:00:00,090 --> 00:00:06,900\nHELLO. WELCOME TO REVERIE.\n\n"
    }
}
```

```json subtitles = false theme={null}
{
    "job_id": "e21f356d-cbf9-4d62-a960-1e9da1805d19",
    "code": "000",
    "message": "Transcript ready.",
    "result": {
        "transcript": "Hello. Welcome to Reverie.",
        "original_transcript": "HELLO. WELCOME TO REVERIE.",
        "channel_number": 1,
    }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.